Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class ECQueryResult

    java.lang.Object
      com.tibco.bpm.web.client.model.types.ECQueryResult

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class ECQueryResult

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

The result of an Event Collector Query.

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`ECQueryResult()`

Method Summary
`void` | `addAttribute(java.lang.String aName, java.lang.String aValue, java.lang.String aType, java.lang.String aComponent)`
`boolean` | `equals(java.lang.Object that)`
`java.lang.String` | `getAppActModelId()` The ID of the Task in the Business Studio Model assocaited with the audit entry.
`java.lang.String` | `getAppInstanceId()` The Message Identifier ( i.e.
`OSAuditConstants.appInstanceEnum` | `getAppInstanceIdEnum()` An Enum representation of the Audit message type.
`java.lang.String` | `getApplicationActivityInstanceId()` The application instnace ID for the entry.
`java.lang.String` | `getApplicationActivityName()` The name of the Task in the process which is being audited.
`java.util.ArrayList<ECAttribute>` | `getAttributes()` List of any extra `ECAttribute` attributes associated with this audit entry.
`java.lang.String` | `getComponentId()` The ID of the component which created the audit entry ( i.e.
`java.util.Date` | `getCreationTime()` The time the audit event was created.
`java.lang.String` | `getDescription()` Description of the audit event.
`long` | `getDurationMillis()` Used internally by Openspace
`EventDuration` | `getEventDuration()` Used internally by Openspace
`long` | `getEventId()` The ID of the audit event.
`java.lang.String` | `getManagedObjectId()` Process ID of the process or sub process associated with this audit entry.
`java.lang.String` | `getManagedObjectName()` Managed Object Name for this audit.
`java.lang.String` | `getManagedObjectType()` The type of task, this entry is populated when the audit relates to a task.
`OSAuditConstants.managedObjectTypeEnum` | `getManagedObjectTypeEnum()` Enum value to allow task types to be selected using an integer comparison rather than String comparison.
`java.lang.String` | `getPrincipalName()` The Resource associated with the audit entry.
`java.lang.String` | `getPriority()` The Audit event priority ( LOW, MEDIUM, HIGH etc).
`java.lang.String` | `getPriorStepId()` The applicationActivityInstanceId of the prior step in the process.
`java.util.ArrayList<ECQueryResult>` | `getSubAuditEntries()` List of any sub-entries for the audit entry.
`java.lang.String` | `getSubProcInstId()` Id of the Sub Procedure if this audit entry is part of a Sub Procedure.
`boolean` | `isAllAttributesRetrieved()` Used internally by Openspace
`boolean` | `isCancelled()` Used internally by Openspace
`boolean` | `isFullAuditDisplayed()` Used internally by Openspace
`boolean` | `isGraphicAuditProcessed()` Used internally by Openspace
`boolean` | `isSubAuditEntry()` Used internally by Openspace
`void` | `setAllAttributesRetrieved(boolean allAttributesRetrieved)` Used internally by Openspace
`void` | `setAppActModelId(java.lang.String appActModelId)` The ID of the Task in the Business Studio Model assocaited with the audit entry.
`void` | `setAppInstanceId(java.lang.String appInstanceId)` The Message Identifier ( i.e.
`void` | `setAppInstanceIdEnum(OSAuditConstants.appInstanceEnum appInstanceIdEnum)` An Enum representation of the Audit message type.
`void` | `setApplicationActivityInstanceId(java.lang.String applicationActivityInstanceId)` The application instnace ID for the entry.
`void` | `setApplicationActivityName(java.lang.String applicationActivityName)` The name of the Task in the process which is being audited.
`void` | `setAttributes(java.util.ArrayList<ECAttribute> attributes)` List of any extra `ECAttribute` attributes associated with this audit entry.
`void` | `setCancelled(boolean cancelled)` Used internally by Openspace
`void` | `setComponentId(java.lang.String componentId)` The ID of the component which created the audit entry ( i.e.
`void` | `setCreationTime(java.util.Date creationTime)` The time the audit event was created.
`void` | `setDescription(java.lang.String description)` Description of the audit event.
`void` | `setDurationMillis(long durationMillis)` Used internally by Openspace
`void` | `setEventDuration(EventDuration eventDuration)` Used internally by Openspace
`void` | `setEventId(long eventId)` The ID of the audit event.
`void` | `setFullAuditDisplayed(boolean isFullAuditDisplayed)` Used internally by Openspace
`void` | `setGraphicAuditProcessed(boolean graphicAuditProcessed)` Used internally by Openspace
`void` | `setManagedObjectId(java.lang.String managedObjectId)` Process ID of the process or sub process associated with this audit entry.
`void` | `setManagedObjectName(java.lang.String managedObjectName)` Managed Object Name for this audit.
`void` | `setManagedObjectType(java.lang.String managedObjectType)` The type of task, this entry is populated when the audit relates to a task.
`void` | `setManagedObjectTypeEnum(OSAuditConstants.managedObjectTypeEnum managedObjectTypeEnum)` Enum value to allow task types to be selected using an integer comparison rather than String comparison.
`void` | `setPrincipalName(java.lang.String principalName)` The Resource associated with the audit entry.
`void` | `setPriority(java.lang.String priority)` The Audit event priority ( LOW, MEDIUM, HIGH etc).
`void` | `setPriorStepId(java.lang.String priorStepId)` The applicationActivityInstanceId of the prior step in the process.
`void` | `setSubAuditEntries(java.util.ArrayList<ECQueryResult> subAuditEntries)` List of any sub-entries for the audit entry.
`void` | `setSubAuditEntry(boolean isSubAuditEntry)` Used internally by Openspace
`void` | `setSubProcInstId(java.lang.String subProcInstId)` Id of the Sub Procedure if this audit entry is part of a Sub Procedure.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECQueryResult

    public ECQueryResult()

Method Detail

### addAttribute

    public void addAttribute(java.lang.String aName,
                             java.lang.String aValue,
                             java.lang.String aType,
                             java.lang.String aComponent)

### getEventId

    public long getEventId()

  The ID of the audit event.

  Returns:
    Returns the eventId.

### setEventId

    public void setEventId(long eventId)

  The ID of the audit event.

  Parameters:
    `eventId` - The eventId to set.

### getCreationTime

    public java.util.Date getCreationTime()

  The time the audit event was created.

  Returns:
    Returns the creationTime.

### setCreationTime

    public void setCreationTime(java.util.Date creationTime)

  The time the audit event was created.

  Parameters:
    `creationTime` - The creationTime to set.

### getDescription

    public java.lang.String getDescription()

  Description of the audit event.

  Returns:
    Returns the description.

### setDescription

    public void setDescription(java.lang.String description)

  Description of the audit event.

  Parameters:
    `description` - The description to set.

### getPrincipalName

    public java.lang.String getPrincipalName()

  The Resource associated with the audit entry.

  Returns:
    Returns the principalName.

### setPrincipalName

    public void setPrincipalName(java.lang.String principalName)

  The Resource associated with the audit entry.

  Parameters:
    `principalName` - The principalName to set.

### getAppInstanceId

    public java.lang.String getAppInstanceId()

  The Message Identifier ( i.e. BRM_WORKITEM_ALLOCATED_TO ).

  Returns:
    Returns the appInstanceId.

### setAppInstanceId

    public void setAppInstanceId(java.lang.String appInstanceId)

  The Message Identifier ( i.e. BRM_WORKITEM_ALLOCATED_TO ).

  Parameters:
    `appInstanceId` - The appInstanceId to set.

### getAppInstanceIdEnum

    public OSAuditConstants.appInstanceEnum getAppInstanceIdEnum()

  An Enum representation of the Audit message type. This is used to allow an integer lookup to find particular message types rather than a slower String comparison.

  The Enum value is populated when Audit entries are retrieved from the server.

  Returns:
    Returns the appInstanceIdEnum.

### setAppInstanceIdEnum

    public void setAppInstanceIdEnum(OSAuditConstants.appInstanceEnum appInstanceIdEnum)

  An Enum representation of the Audit message type. This is used to allow an integer lookup to find particular message types rather than a slower String comparison.

  The Enum value is populated when Audit entries are retrieved from the server.

  Parameters:
    `appInstanceIdEnum` - The appInstanceIdEnum to set.

### getPriority

    public java.lang.String getPriority()

  The Audit event priority ( LOW, MEDIUM, HIGH etc).

  Returns:
    Returns the priority.

### setPriority

    public void setPriority(java.lang.String priority)

  The Audit event priority ( LOW, MEDIUM, HIGH etc).

  Parameters:
    `priority` - The priority to set.

### getManagedObjectType

    public java.lang.String getManagedObjectType()

  The type of task, this entry is populated when the audit relates to a task.

  It indicates the type of task (i.e. startEvent, userTask ).

  Returns:
    Returns the managedObjectType.

### setManagedObjectType

    public void setManagedObjectType(java.lang.String managedObjectType)

  The type of task, this entry is populated when the audit relates to a task.

  It indicates the type of task (i.e. startEvent, userTask ).

  Parameters:
    `managedObjectType` - The managedObjectType to set.

### getManagedObjectTypeEnum

    public OSAuditConstants.managedObjectTypeEnum getManagedObjectTypeEnum()

  Enum value to allow task types to be selected using an integer comparison rather than String comparison.

  This Enum is populated when the audit entries are retrieved.

  Returns:
    Returns the managedObjectTypeEnum.

### setManagedObjectTypeEnum

    public void setManagedObjectTypeEnum(OSAuditConstants.managedObjectTypeEnum managedObjectTypeEnum)

  Enum value to allow task types to be selected using an integer comparison rather than String comparison.

  This Enum is populated when the audit entries are retrieved.

  Parameters:
    `managedObjectTypeEnum` - The managedObjectTypeEnum to set.

### getApplicationActivityName

    public java.lang.String getApplicationActivityName()

  The name of the Task in the process which is being audited.

  Returns:
    Returns the applicationActivityName.

### setApplicationActivityName

    public void setApplicationActivityName(java.lang.String applicationActivityName)

  The name of the Task in the process which is being audited.

  Parameters:
    `applicationActivityName` - The applicationActivityName to set.

### getComponentId

    public java.lang.String getComponentId()

  The ID of the component which created the audit entry ( i.e. BRM, WP ).

  Returns:
    Returns the componentId.

### setComponentId

    public void setComponentId(java.lang.String componentId)

  The ID of the component which created the audit entry ( i.e. BRM, WP ).

  Parameters:
    `componentId` - The componentId to set.

### getApplicationActivityInstanceId

    public java.lang.String getApplicationActivityInstanceId()

  The application instnace ID for the entry. This ID can be used to link related audit entries together.

  For instance all entries for a particular user task will have the same ID.

  Returns:
    Returns the applicationActivityInstanceId.

### setApplicationActivityInstanceId

    public void setApplicationActivityInstanceId(java.lang.String applicationActivityInstanceId)

  The application instnace ID for the entry. This ID can be used to link related audit entries together.

  For instance all entries for a particular user task will have the same ID.

  Parameters:
    `applicationActivityInstanceId` - The applicationActivityInstanceId to set.

### getPriorStepId

    public java.lang.String getPriorStepId()

  The applicationActivityInstanceId of the prior step in the process.

  This ID can be used when creating an audit trail to link tasks together and determine the order of execution.

  Returns:
    Returns the priorStepId.

### setPriorStepId

    public void setPriorStepId(java.lang.String priorStepId)

  The applicationActivityInstanceId of the prior step in the process.

  This ID can be used when creating an audit trail to link tasks together and determine the order of execution.

  Parameters:
    `priorStepId` - The priorStepId to set.

### getAppActModelId

    public java.lang.String getAppActModelId()

  The ID of the Task in the Business Studio Model assocaited with the audit entry.

  Returns:
    Returns the appActModelId.

### setAppActModelId

    public void setAppActModelId(java.lang.String appActModelId)

  The ID of the Task in the Business Studio Model assocaited with the audit entry.

  Parameters:
    `appActModelId` - The appActModelId to set.

### getAttributes

    public java.util.ArrayList<ECAttribute> getAttributes()

  List of any extra `ECAttribute` attributes associated with this audit entry.

  These attributes contain additional information specific to the type of audit entry.

  Returns:
    Returns the attributes.

### setAttributes

    public void setAttributes(java.util.ArrayList<ECAttribute> attributes)

  List of any extra `ECAttribute` attributes associated with this audit entry.

  These attributes contain additional information specific to the type of audit entry.

  Parameters:
    `attributes` - The attributes to set.

### getSubAuditEntries

    public java.util.ArrayList<ECQueryResult> getSubAuditEntries()

  List of any sub-entries for the audit entry.

  This can be used to store extra audit entries associated with the audit event.

  We might for instance get a top list of entries from the BX component, then run another query to get the associated BRM entries.

  Returns:
    Returns the subAuditEntries.

### setSubAuditEntries

    public void setSubAuditEntries(java.util.ArrayList<ECQueryResult> subAuditEntries)

  List of any sub-entries for the audit entry.

  This can be used to store extra audit entries associated with the audit event.

  We might for instance get a top list of entries from the BX component, then run another query to get the associated BRM entries.

  Parameters:
    `subAuditEntries` - The subAuditEntries to set.

### isFullAuditDisplayed

    public boolean isFullAuditDisplayed()

  Used internally by Openspace

  Returns:
    Returns the isFullAuditDisplayed.

### setFullAuditDisplayed

    public void setFullAuditDisplayed(boolean isFullAuditDisplayed)

  Used internally by Openspace

  Parameters:
    `isFullAuditDisplayed` - The isFullAuditDisplayed to set.

### isSubAuditEntry

    public boolean isSubAuditEntry()

  Used internally by Openspace

  Returns:
    Returns the isSubAuditEntry.

### setSubAuditEntry

    public void setSubAuditEntry(boolean isSubAuditEntry)

  Used internally by Openspace

  Parameters:
    `isSubAuditEntry` - The isSubAuditEntry to set.

### getDurationMillis

    public long getDurationMillis()

  Used internally by Openspace

  Returns:
    Returns the durationMillis.

### setDurationMillis

    public void setDurationMillis(long durationMillis)

  Used internally by Openspace

  Parameters:
    `durationMillis` - The durationMillis to set.

### isGraphicAuditProcessed

    public boolean isGraphicAuditProcessed()

  Used internally by Openspace

  Returns:
    Returns the graphicAuditProcessed.

### setGraphicAuditProcessed

    public void setGraphicAuditProcessed(boolean graphicAuditProcessed)

  Used internally by Openspace

  Parameters:
    `graphicAuditProcessed` - The graphicAuditProcessed to set.

### isAllAttributesRetrieved

    public boolean isAllAttributesRetrieved()

  Used internally by Openspace

  Returns:
    Returns the allAttributesRetrieved.

### setAllAttributesRetrieved

    public void setAllAttributesRetrieved(boolean allAttributesRetrieved)

  Used internally by Openspace

  Parameters:
    `allAttributesRetrieved` - The allAttributesRetrieved to set.

### getEventDuration

    public EventDuration getEventDuration()

  Used internally by Openspace

  Returns:
    Returns the eventDuration.

### setEventDuration

    public void setEventDuration(EventDuration eventDuration)

  Used internally by Openspace

  Parameters:
    `eventDuration` - The eventDuration to set.

### isCancelled

    public boolean isCancelled()

  Used internally by Openspace

  Returns:
    Returns the cancelled.

### setCancelled

    public void setCancelled(boolean cancelled)

  Used internally by Openspace

  Parameters:
    `cancelled` - The cancelled to set.

### getSubProcInstId

    public java.lang.String getSubProcInstId()

  Id of the Sub Procedure if this audit entry is part of a Sub Procedure.

  Returns:
    Returns the subProcInstId.

### setSubProcInstId

    public void setSubProcInstId(java.lang.String subProcInstId)

  Id of the Sub Procedure if this audit entry is part of a Sub Procedure.

  Parameters:
    `subProcInstId` - The subProcInstId to set.

### getManagedObjectId

    public java.lang.String getManagedObjectId()

  Process ID of the process or sub process associated with this audit entry.

  Returns:
    Returns the managedObjectId.

### setManagedObjectId

    public void setManagedObjectId(java.lang.String managedObjectId)

  Process ID of the process or sub process associated with this audit entry.

  Parameters:
    `managedObjectId` - The managedObjectId to set.

### getManagedObjectName

    public java.lang.String getManagedObjectName()

  Managed Object Name for this audit. The meaning of this is defined by the component which created the audit.

  See the Event Collector documentation for more details.

  Returns:
    Returns the managedObjectName.

### setManagedObjectName

    public void setManagedObjectName(java.lang.String managedObjectName)

  Managed Object Name for this audit. The meaning of this is defined by the component which created the audit.

  See the Event Collector documentation for more details.

  Parameters:
    `managedObjectName` - The managedObjectName to set.

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.